PATHCHK(1)

NAME
pathchk - check pathnames

SYNOPSIS
pathchk [-p] name ...

DESCRIPTION
The pathchk command verifies the validity or portability of path names. For each name given, it is checked that each of the intermediate directories is searchable or could be created, that none of its components is longer than NAME_MAX, and that the whole name is not longer than PATH_MAX.

With the -p option, the checks are performed using _POSIX_NAME_MAX and _POSIX_PATH_MAX, and each character of a component of name must be in the portable character set (i.e. alphanumerics, dot `.', underscore `_', and minus sign `-'). The check for local searchability is omitted.

If any violation of these rules is detected, pathchk prints an error message and exits with failure.